﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Documents;
using IdeaBlade.DevTools.WPFTraceViewer;
using IdeaBlade.EntityModel;
using SimpleNorthwindModel;

namespace Wpf01 {
  /// <summary>
  /// Simple console.
  /// </summary>
  public partial class Window1 : Window {
    public Window1() {
      InitializeComponent();
      SetUpTraceViewer();
    }

    private void SetUpTraceViewer() {
      WPFTraceViewer tv = new WPFTraceViewer();
      tv.Show();
    }

    private void _loadDataButton_Click(object sender, RoutedEventArgs e) {
      List<Customer> customers = _manager.Customers.Where(c => c.Country == "Brazil").ToList();
      _outputTextBlock.Text += String.Format("Customers retrieved: {0}\n", customers.Count);
    }

    private NorthwindManager _manager = new NorthwindManager();
  }
}
