﻿Imports IdeaBlade.DevTools.WPFTraceViewer
Imports IdeaBlade.EntityModel
Imports SimpleNorthwindModel

Namespace Wpf01
  ''' <summary>
  ''' Simple console.
  ''' </summary>
  Partial Public Class Window1
	  Inherits Window
	Public Sub New()
	  InitializeComponent()
	  SetUpTraceViewer()
	End Sub

	Private Sub SetUpTraceViewer()
	  Dim tv As New WPFTraceViewer()
	  tv.Show()
	End Sub

	Private Sub _loadDataButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
	  Dim customers As List(Of Customer) = _manager.Customers.Where(Function(c) c.Country = "Brazil").ToList()
	  _outputTextBlock.Text += String.Format("Customers retrieved: {0}" & vbLf, customers.Count)
	End Sub

	Private _manager As New NorthwindManager()
  End Class
End Namespace
